package sun.net.www.protocol.file;

import java.io.IOException;
import java.net.URL;
import java.net.URLConnection;
import java.net.URLStreamHandler;

public class Handler extends URLStreamHandler {
   private static String installDirectory = System.getProperty("hotjava.home");

   public synchronized URLConnection openConnection(URL var1) throws IOException {
      String var2 = var1.getHost();
      if (var2 != null && !var2.equals("") && !var2.equals("~") && !var2.equals("localhost")) {
         URLConnection var3;
         try {
            URL var4 = new URL("ftp", var2, var1.getFile() + (var1.getRef() == null ? "" : "#" + var1.getRef()));
            var3 = var4.openConnection();
         } catch (IOException var5) {
            var3 = null;
         }

         if (var3 == null) {
            throw new IOException("Unable to connect to: " + var1.toExternalForm());
         } else {
            return var3;
         }
      } else {
         return new FileURLConnection(var1);
      }
   }
}
